Ve Snow Leopard je stará a zranitelná verze přehrávače Flash

Americká společnost Intego, která se specializuje na zabezpečení počítačů Mac, upozorňuje, že Apple uvedl systém Snow Leopard s neaktuální verzí přehrávače Flash. Adobe Flash Player předinstalovaný do systému naneštěstí obsahuje vážné bezpečnostní zranitelnosti.


Snow Leopard při upgradu na tento systém z „obyčejného“ systému Leopard bez vědomí uživatele provádí downgrade bezpečné verze přehrávače Flash. Aktuální verze Flash Playeru pro Mac OS X má číslo 10.0.32.18, systém Snow Leopard ale namísto toho preferuje verzi 10.0.23.1.

Zjištění Intega potvrdila i britská bezpečnostní firma Sophos.

Přehrávač Flash verze 10.0.32.18 Adobe uvolnila v červenci – poté, co vešla ve známost zranitelnost knihovny ATL od Microsoftu, kterou používal také Flash Player (viz také: Adobe opravila přehrávač Flash).

 Problém, který se nyní přihodil Applu, se občas stává. Systém bývá zveřejněn s neaktuálními aplikacemi třetích stran, protože při vývoji je ho třeba v určitém okamžiku „zamknout“. Microsoft loni například šířil neaktuální verzi Flash Playeru spolu s balíčkem Service Pack 3 pro Windows XP.

Nezbývá než počkat na první bezpečnostní aktualizaci systému Snow Leopard – u Leoparda uvedeného roku 2007 přišla taková aktualizace po třech týdnech. Apple se k problému dosud nevyjádřil. Není tedy známo, kdy byl uzamknut kód systému Snow Leopard ani kdy bude vydána první dávka oprav.

Uživatelé by nicméně měli raději aktualizovat přehrávač Flash ručně, protože tyto zranitelnosti jsou oblíbeným cílem útočníků.

Ověřit si, zda je v počítači aktuální verze přehrávače Flash, lze na stránkách Adobe

 

Viz také: Apple přidává do nového systému Snow Leopardo chranu před malwarem

 











Komentáře